Report Failure
Report Failure
Section titled “Report Failure”Report when a proxy IP was blocked or failed, helping HydraSkill improve routing decisions.
Endpoint
Section titled “Endpoint”POST /v1/proxy/{proxy_id}/reportParameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
reason | string | blocked, captcha, timeout, rate_limited |
status_code | integer | HTTP status code received |
target_url | string | The URL that was blocked |
Request
Section titled “Request”curl -X POST "https://api.hydraskill.ai/v1/proxy/px_abc123/report" \ -H "Authorization: Bearer sk-your-key" \ -H "Content-Type: application/json" \ -d '{"reason": "blocked", "status_code": 403}'Response
Section titled “Response”{ "acknowledged": true, "action_taken": "ip_rotated", "new_proxy_id": "px_def456"}With Auto-Heal enabled, failures are detected and handled automatically. Use this endpoint only when Auto-Heal is disabled or for manual reporting.